<project xmlns="http://maven.apache.org/POM/4.0.0">
    <groupId>com.songoda</groupId>
    <artifactId>EpicAnchors</artifactId>
    <modelVersion>4.0.0</modelVersion>
    <version>1.4.9</version>
    <build>
        <defaultGoal>clean install</defaultGoal>
        <finalName>EpicAnchors-${project.version}</finalName>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.8.0</version>
                <configuration>
                    <source>1.8</source>
                    <target>1.8</target>
                </configuration>
            </plugin>
            <plugin>
                <groupId>com.google.code.maven-replacer-plugin</groupId>
                <artifactId>replacer</artifactId>
                <version>1.5.3</version>
                <executions>
                    <execution>
                        <phase>prepare-package</phase>
                        <goals>
                            <goal>replace</goal>
                        </goals>
                    </execution>
                </executions>
                <configuration>
                    <file>${project.build.directory}/classes/plugin.yml</file>
                    <replacements>
                        <replacement>
                            <token>maven-version-number</token>
                            <value>${project.version}</value>
                        </replacement>
                    </replacements>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-shade-plugin</artifactId>
                <version>3.1.0</version>
                <executions>
                    <execution>
                        <id>shaded</id>
                        <phase>package</phase>
                        <goals>
                            <goal>shade</goal>
                        </goals>
                        <configuration>
                            <shadedArtifactAttached>false</shadedArtifactAttached>
                            <createDependencyReducedPom>false</createDependencyReducedPom>
                            <minimizeJar>true</minimizeJar>
                            <artifactSet>
                                <includes>
                                    <include>com.songoda:SongodaCore</include>
                                </includes>
                            </artifactSet>
                            <filters>
                                <!-- This filter is primarily for anvil gui right now -->
                                <!--<filter>
                                    <artifact>com.songoda:SongodaCore-NMS*</artifact>
                                    <includes>
                                        <include>**</include>
                                    </includes>
                                </filter>-->
                                <filter>
                                    <artifact>*:*</artifact>
                                    <excludes>
                                        <exclude>META-INF/*.SF</exclude>
                                        <exclude>META-INF/*.DSA</exclude>
                                        <exclude>META-INF/*.RSA</exclude>
                                    </excludes>
                                </filter>
                            </filters>
                            <relocations>
                                <relocation>
                                    <pattern>com.songoda.core</pattern>
                                    <shadedPattern>${project.groupId}.epicanchors.core</shadedPattern>
                                </relocation>
                            </relocations>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
    <repositories>
        <repository>
            <id>private</id>
            <url>http://repo.songoda.com/artifactory/private/</url>
        </repository>
        <repository>
            <id>public</id>
            <url>https://repo.songoda.com/artifactory/public/</url>
        </repository>
        <repository>
            <id>spigot-repo</id>
            <url>https://hub.spigotmc.org/nexus/content/repositories/snapshots/</url>
        </repository>
    </repositories>
    <dependencies>
        <dependency>
            <groupId>org.spigotmc</groupId>
            <artifactId>spigot</artifactId>
            <version>1.15</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>com.songoda</groupId>
            <artifactId>SongodaCore</artifactId>
            <version>LATEST</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.songoda</groupId>
            <artifactId>epicspawners</artifactId>
            <version>6-pre4</version>
        </dependency>
    </dependencies>
</project>
